import { defineUI } from "queenjs";
import components from "..";
import { useEditor } from "../..";

export default defineUI({
  setup() {
    const editor = useEditor();
    const { store } = editor;
    return () => {
      const { content } = store.designData;
      return (
        <div>
          {content.map((d) => {
            const Comp: any = components.CompUI[d.compKey];
            return (
              <Comp
                key={d.id}
                compId={d.id}
                v-model={[d.value, "value"]}
                background={d.background}
                layout={d.layout}
              />
            );
          })}
        </div>
      );
    };
  },
});
