import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { createOptions } from "../../defines/createOptions";
import { createColorOpts } from "../../defines/formOpts/createColorOpts";

export const options = createOptions({
  name: "卡片",
  value: {
    cardColumns: 3,
    themeColor: "#333333",
    list: Array.from({ length: 3 }, (d, i) => ({
      name: `demo${i + 1}`,
      desc: "xxxxx",
      img: Dict_Imgs.Default,
    })),
    title: "新科技反光面料 引领潮流新风尚",
    desc: "时尚 ｜ 精致 ｜ 百搭",
  },
  background: { color: "#333333" },
});

export const Form = createAttrsForm([
  {
    label: "卡片数量",
    dataIndex: "value.cardColumns",
    component: "Input",
  },
  {
    label: "主题颜色",
    dataIndex: "value.themeColor",
    component: "ColorPicker",
    ...createColorOpts(),
  },
]);
