import { defineComponent } from "vue";
import { any, string } from "vue-types";
import { View } from "../basicUI/View";

export const createUIComp: typeof defineComponent = function (options: any) {
  const { setup } = options;
  options.props.layout = any();
  options.props.background = any();
  options.props.compId = string();

  options.setup = function (props: any, options: any) {
    const render = setup(props, options);
    return () => (
      <View
        compId={props.compId}
        layout={props.layout}
        background={props.background}
      >
        {render()}
      </View>
    );
  };

  return defineComponent(options);
} as any;
