import { ColumnItem } from "@queenjs/components/FormUI";
import { colorToHex, hexToColor } from "@queenjs/utils";

export function createColorOpts(): Pick<
  ColumnItem,
  "getValue" | "changeExtra"
> {
  return {
    getValue(v) {
      return hexToColor(v);
    },
    changeExtra(data) {
      data.value = colorToHex(data.value);
      return data;
    },
  };
}
