import components from "./components";

export type ICompKeys = keyof typeof components.CompUI;

export type Layout = {
  size?: number[]; // width height
  textAlign?: string;
  offsetX?: number;
  offsetY?: number;
  zIndex?: number;
};

export type Background = {
  color?: string;
  image?: string;
  position?:
    | "bottom"
    | "center"
    | "left"
    | "left-bottom"
    | "left-top"
    | "right"
    | "right-bottom"
    | "right-top"
    | "top";
  repeat?:
    | "repeat"
    | "no-repeat"
    | "repeat-x"
    | "repeat-y"
    | "repeat-round"
    | "repeat-space";
  size?: "auto" | "cover" | "contain";
  origin?: "border" | "padding" | "content";
};
