import "@/modules/_default/viewerStorage";
import {
  initQueentreeExplorer,
  NodeTypes,
} from "@queenjs-modules/queentree-explorer";
import PickNodeSteps from "@queenjs-modules/queentree-explorer/components/PickNodeSteps";
import PickNodeStep from "@queenjs-modules/queentree-explorer/components/PickNodeSteps/PickNodeStep";
import { StepController } from "@queenjs-modules/queentree-explorer/components/PickNodeSteps/StepController";
import { Exception, useModal } from "queenjs";
import { defineComponent } from "vue";
import { array } from "vue-types";

export default defineComponent({
  props: {
    nodeTypes: array<NodeTypes>().def(["packProd"]),
  },

  setup(props) {
    const stepCtrol = new StepController(1);
    const modal = useModal();

    initQueentreeExplorer({
      config: {
        showNodeToolbar: false,
        nodeListColumns: 6,
      },
    });

    async function submit() {
      try {
        const branchFolder = stepCtrol.state.data.pickNodes[0];
        modal.submit(branchFolder);
      } catch (error: any) {
        Exception.error(error?.toString());
      }
    }

    return () => {
      const { nodeTypes } = props;
      return (
        <PickNodeSteps
          onSubmit={submit}
          onCancel={() => modal.cancel()}
          control={stepCtrol}
          lastStepText="发送"
          steps={[
            {
              title: "选择",
              content: () => (
                <PickNodeStep
                  control={stepCtrol}
                  options={{
                    nodeTypes: nodeTypes,
                    //   childNodeType: "packProd",
                  }}
                />
              ),
            },
          ]}
        />
      );
    };
  },
});
