import SelectListItemModal from "./components/SelectListItemModal";
import { MaterialController } from "../../../modules/resource/controllers/MaterialController";
import PreviewModal from "./components/PreviewModal";

export default function createController(resource:any, isSelectModel:boolean, selectType :string) {
    const {controls, actions} = resource;
    const  showModal = async (type: string) => {
        const ctrl = resource.controls.matTempListCtrl;
        ctrl.state.query = type == "video" ? { hasVideo: true } : {}
        ctrl.loadPage(1);
        const record  = await resource.showModal(<SelectListItemModal ListCtrl={ctrl}  />, {
          title: `${type === "image" ? "图片" : "视频"}模板中心`,
          width: "1000px",
        });
        resource.actions.selectMaterial(record);
    };

    const  showPreviewModal = (data: any) => {
      resource.showModal(<PreviewModal data={data}  />, {
        title: "素材预览",
        width: "800px",
      }); 
  };

    const ctrl = new MaterialController();
    ctrl.imageCtrl = controls.materialImageListCtrl;
    ctrl.vidoeCtrl = controls.materialVideoListCtrl;
    ctrl.taskCtrl = controls.renderTaskListCtrl;
    ctrl.onBtnClick = async function (name: string) {
      if (name == "upload") {
        const uploaded = await resource.actions.uploadMaterial();
        ctrl.switchTab(uploaded.fileType, false);
        ctrl.getCurrControl().loadPage(1);
        return;
      }
      showModal(name);
    };
    ctrl.onItemClick = function (name, record) {
      if (name == "delete") return actions.deleteMaterial(record);
      else if (name == "preview") return showPreviewModal(record);
      return actions.downloadMaterial(record);
    };

    return ctrl
}